Page MenuHomePhabricator

Unclear "fail to mention" in echo-pref-tooltip-mention-failure
Closed, ResolvedPublic

Description

I don't get it. Is this failure of the user not mentioning anyone in the edit, or failure of the system to store/relay the mention user did?


URL: https://translatewiki.net/wiki/MediaWiki:Echo-pref-tooltip-mention-failure/fi

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Nikerabbit updated the task description. (Show Details)Aug 16 2016, 10:01 AM

Thanks for reporting! It is about the failure of the system to send out a notification.

New suggestion: Notify me about delivery failures of mention notifications

I would be careful with the word "delivery" here. Technically the mention was not even sent.

This is about cases when user makes an edit that looks like mentioning somebody but for various limitations of the current solution (e.g. those listed in: https://www.mediawiki.org/wiki/Help:Notifications/Notifications_types#Mentions or https://www.mediawiki.org/wiki/Manual:Echo) mention notifications are not sent.
To make the example simple: it is about cases when I try to ping a user but I write her username wrong, not about a temporary problem with Echo or whatever leading to my ping being lost in /dev/null. In such case I would get an alert notification explaining why the mention of this particular user was not sent out.

I agree the label is not clear, although the situation we're dealing with is not clear either. Therefore I couldn't think of any better alternative.
"Notify me when my mentions are not considered mentions by the system" does not seem right.
"Notify me when my mentions are not sent out" might be better but it is more or less implicitly suggesting there is some problem with the notifications system not with the edit, so I am not convinced with such wording.

The kind of counterpart of this message, i.e. "Notify me when my edits successfully mention users.‎" has similar problem, although this one might be easier to improve.

What sounds a bit odd to me is saying that "edits" do "mention" people, as if edits were an active agent in the communication between two users. It might be better to be saying that users do mention other users. In general texts for other notifications tend to express it like that, ie. "Notify when someone does something (that concerns me)".

So how about "Notify me when I mention other users" instead of "Notify me when my edits successfully mention users.‎" ?
But then I still have no good idea about the failure case. "Notify me when I don't mention other users" is just wrong.

Ping @Jan_Dittrich @Charlie_WMDE @Addshore @Jakob_WMDE @WMDE-Fisch what you guys say?

I agree with @WMDE-leszek's point that delivery failure is not the right term either (even though it was me who suggested that earlier).

I like "Notify me when my mentions are not sent out" best so far even, but also agree with the concerns that have been raised. Maybe something like "Notify me why my mentions are not sent out" would address these concerns a little bit better but it might also just be confusing.

Fail case: What about »…When my mention failed to send«?

Fail case: What about »…When my mention failed to send«?

It sounds fine for me (present tense should probably be used for consistency).
I don't want to lead the discussion into territory we don't we want to get into so only as a side remark: it still might be questioned that "mention" (as a notification) is a result of some action that fails, and as such cannot fail. But this might be only my braining not being on full speed yet in the morning. And in any case, as I said a line above: it could work.

What I think should also be considered here is expanding relevant qqq messages so it is clear for translators what is the situation the message is intended to be used in. For instance given we have existing "en" message "Notify me when my edits fail to mention users. " or the proposed one "Notify me when my mention failed to send", and qqq message serving as help saying "This is a short description of the mention failure notification category.", I don't think it provides translators with all informations they might need. Even if it might be fine to say in English "Notify me when my mention failed to send" it might not be clear enough who is failing here, an editor, the server, some other party (for example in case a language needs to have a failing actor explicitly stated this is crucial information). Also, in this particular case of MediaWiki:Echo-pref-tooltip-mention-failure message, when you tick the relevant box, you will be getting notifications saying _why_ your mention was not sent. This differs a bit from other notifications, and might as well influence what phrase the "help text" in MediaWiki:Echo-pref-tooltip-mention-failure should use.

@WMDE-leszek I dont know about the infrastructure for leaving such comments, but it makes much sense to provide such, good idea and a valid concern.

Nemo_bis added a subscriber: Nemo_bis.EditedAug 18 2016, 11:50 AM

"Failure" implies that something was attempted and makes me think of the case when the target user disabled notifications (or someone else prevented them from receiving notifications), while if I understand correctly this is about the case where naming a user doesn't work as Echo mention/ping.

If so, you could just say "Notify me when my edit links a user but is not considered a mention", or similar.

Nemo_bis renamed this task from [[MediaWiki:Echo-pref-tooltip-mention-failure/fi]] i18n issue to Unclear "fail to mention" in echo-pref-tooltip-mention-failure.Aug 18 2016, 11:53 AM
Nemo_bis triaged this task as Normal priority.

We cannot write "when my edit links a user, but is not considered a mention", since we do not handle anything that does not contain a signature - i.e. there are still ample opportunities to add user links without it being an attempt to mention.

New suggestions from my side:
Failed mention: Notify me when I could not send out a mention to someone.
Successful mention: Notify me when I sent out a mention to someone

Change 308547 had a related patch set uploaded (by Jakob):
Improve mention success and failure messages.

https://gerrit.wikimedia.org/r/308547

Change 308547 merged by jenkins-bot:
Improve mention success and failure messages.

https://gerrit.wikimedia.org/r/308547

Addshore closed this task as Resolved.Sep 9 2016, 10:13 AM
Addshore claimed this task.